%define	module	SNMP-MIB-Compiler
%define	name	perl-%{module}
%define	version	0.06
%define	release	6mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Summary:	A MIB Compiler for perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/SNMP/%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel perl-Data-Compare
Requires:	perl >= 0:5.005 perl-Data-Compare
BuildArch:	noarch


%description
SNMP::MIB::Compiler is a MIB compiler that
fully supports both SMI(v1) and SMIv2. This
module can be use to compile MIBs (recursively
or not) or load already compiled MIBs for
later use.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc MANIFEST README
%{perl_vendorlib}/Bundle
%{perl_vendorlib}/SNMP
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Mon Feb 23 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.06-6mdk
- rebuild
- fix source url
- own all dir

* Mon Aug 18 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.06-5mdk
- rebuild for new perl
- drop Prefix tag
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.06-4mdk
- rebuild for new auto{prov,req}

* Fri Feb 14 2003 Pixel <pixel@mandrakesoft.com> 0.06-3mdk
- rebuild with vendorlib

* Fri Jan 24 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.06-2mdk
- Rebuilt

* Fri Mar  8 2002 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.06-1mdk
- First MandrakeSoft Package
